Erstellen eines Ordners
POST
/v1/mailboxes/{mailbox_id}/foldersDer benutzerdefinierte Ordner wird in IMAP erstellt und steht anderen E-Mail-Clients zur Verfügung.
Berechtigungs- und Zugangsbereiche · Fehler und Wiederholungen
Anfrage
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \ -H 'Authorization: Bearer <access_token>' \ -H 'Content-Type: application/json' \ --data '{"name":"<name>"}'Optionen
mailbox_idpathUnbedingtintegerX-Customer-IDheader- Option 1
stringOption 2null
Anforderungstext · application/json
object
nameUnbedingtstringminLength: 1maxLength: 120
Unbekannte Felder werden nicht akzeptiert.
Antworten
201 Erfolgreiche Antwort
application/json
object
namestring
401 Anmeldung erforderlich
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
403 Kein Zugriff
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
404 Ressource nicht gefunden
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
409 Staatskonflikt
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject
422 Validierungsfehler
application/json
object
detailarrayArray-ElementeobjectlocUnbedingtarrayArray-ElementeOption 1stringOption 2integermsgUnbedingtstringtypeUnbedingtstring
503 Vorübergehende Nichtverfügbarkeit
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray-Elementeobject